# gmp_random_bits

(PHP 5 >= 5.6.3, PHP 7)

gmp_random_bits — Random number

### Description

gmp_random_bits ( int `$bits` ) : GMP

Generate a random number. The number will be between 0 and (2 ** `bits`) - 1.

`bits` must greater than 0, and the maximum value is restricted by available memory.

### Parameters

`bits`

  The number of bits.

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

### Return Values

A random GMP number.

### Examples

Example #1 gmp_random_bits() example

`<?php
$rand1 = gmp_random_bits(3); // random number from 0 to 7
$rand2 = gmp_random_bits(5); // random number from 0 to 31
echo gmp_strval($rand1) . "\n";
echo gmp_strval($rand2) . "\n";
?>`

The above example will output:

    3
    15